#
# spec file for package k10temp (Version 0.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2009 Wolfgang Rosenauer
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# nodebuginfo

Name:           k10temp
BuildRequires:  kernel-source kernel-syms module-init-tools
Group:          System/Kernel
AutoReqProv:    on
Summary:        Sensors driver for AMD Phenom processors
Version:        0.2
Release:        1.2
Source:         %name.tar.bz2
Source1:        preamble
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x ppc ppc64 ia64

%suse_kernel_module_package -n k10temp -p %_sourcedir/preamble kdump um s390 iseries64

%description
Sensors driver for AMD Phenom processors

%package KMP
Group:          System/Kernel
License:        GPL v2 or later
Summary:        Sensors driver for AMD Phenom processors
PreReq:         coreutils grep

%description KMP
Sensors driver for AMD Phenom processors

%prep
%setup -q -n %name
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
       M=$PWD/obj/$flavor
done

%install
# Kernel module
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
     make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
        M=$PWD/obj/$flavor
done
cd source

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Mar 20 2011 cs@linux-administrator.com
- update source Makefile
* Sun May 31 2009 wr@opensuse.org
- initial KMP package
